Skip to main content
GET
/
emails
/
events
List Email Events
curl --request GET \
  --url https://app.lettr.com/api/emails/events \
  --header 'Authorization: Bearer <token>'
{
  "message": "Email events retrieved successfully.",
  "data": {
    "events": {
      "data": [
        {
          "event_id": "event-delivery-1",
          "type": "delivery",
          "timestamp": "2024-01-15T10:31:00.000Z",
          "request_id": "12345678901234567890",
          "rcpt_to": "recipient@example.com",
          "subject": "Welcome to Lettr",
          "friendly_from": "sender@example.com",
          "queue_time": 500
        },
        {
          "event_id": "event-bounce-1",
          "type": "bounce",
          "timestamp": "2024-01-15T10:32:00.000Z",
          "request_id": "12345678901234567891",
          "rcpt_to": "bounced@example.com",
          "subject": "Welcome to Lettr",
          "bounce_class": 10,
          "error_code": "550",
          "reason": "User unknown"
        }
      ],
      "total_count": 2,
      "from": "2024-01-05T00:00:00+00:00",
      "to": "2024-01-15T10:35:00+00:00",
      "pagination": {
        "next_cursor": null,
        "per_page": 25
      }
    }
  }
}
Retrieve email events (deliveries, bounces, opens, clicks, etc.) for your account. Events are returned in reverse chronological order.

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

events
enum<string>[]

Comma-separated list of event types to filter by. Valid types: injection, delivery, bounce, delay, out_of_band, spam_complaint, policy_rejection, click, open, initial_open, amp_click, amp_open, amp_initial_open, generation_failure, generation_rejection, list_unsubscribe, link_unsubscribe.

Available options:
injection,
delivery,
bounce,
delay,
out_of_band,
spam_complaint,
policy_rejection,
click,
open,
initial_open,
amp_click,
amp_open,
amp_initial_open,
generation_failure,
generation_rejection,
list_unsubscribe,
link_unsubscribe
recipients
string<email>[]

Comma-separated list of recipient email addresses to filter by.

from
string<date>

Start date for the event search range. Defaults to 10 days ago if not provided.

Example:

"2024-01-01"

to
string<date>

End date for the event search range. Defaults to now if not provided.

Example:

"2024-01-31"

per_page
integer
default:25

Number of events per page.

Required range: 1 <= x <= 100
Example:

25

cursor
string

Pagination cursor returned from a previous request.

transmissions
string

Filter events by transmission ID (request_id).

Example:

"12345678901234567890"

bounce_classes
string

Comma-separated list of bounce classification codes to filter by.

Example:

"10,30"

Response

Email events retrieved successfully

message
string
required
Example:

"Email events retrieved successfully."

data
object
required